# VectorNav C++ Library: include/vn/utilities.h File Reference

utilities.h File Reference
`#include <string>`
`#include <vector>`
`#include "int.h"`
`#include "export.h"`

Go to the source code of this file.

## Classes

class | vn::ApiVersion
| Class for version information about the VectorNav library. More...

## Macros

#define | VNAPI_MAJOR 1
| Defines for the specific version of the VectorNav library.
#define | VNAPI_MINOR 1
#define | VNAPI_PATCH 0
#define | VNAPI_REVISION 126

## Functions

uint8_t | vn::toUint8FromHexStr (const char *str)
| Converts two characters encoded in hex to a uint8_t. More...
uint16_t | vn::stoh (uint16_t sensorOrdered)
| Converts a 16-bit integer in sensor order to host order. More...
uint32_t | vn::stoh (uint32_t sensorOrdered)
| Converts a 32-bit integer in sensor order to host order. More...
uint64_t | vn::stoh (uint64_t sensorOrdered)
| Converts a 64-bit integer in sensor order to host order. More...
uint8_t | vn::countSetBits (uint8_t d)
| Counts the number of bits set in the provided value. More...
uint8_t | vn::to_uint8_from_hexchar (char c)
| Converts the character encoded as a hexadecimal to a uint8_t. More...
uint8_t | vn::to_uint8_from_hexstr (const char *str)
| Converts two characters encoded in hex to a uint8_t. More...
uint16_t | vn::to_uint16_from_hexstr (const char *str)
| Converts four characters encoded in hex to a uint16_t. More...

## Detailed Description

{COMMON_HEADER}